| Apache Ignite C++

Public Member Functions | List of all members
ignite::transactions::TransactionMetrics Class Reference

Transaction metrics, shared across all caches. More...

`#include <transaction_metrics.h>`

## Public Member Functions
| TransactionMetrics ()
| Default constructor. More...
| TransactionMetrics (const Timestamp &commitTime, const Timestamp &rollbackTime, int32_t commits, int32_t rollbacks)
| Constructor. More...
| TransactionMetrics (const TransactionMetrics &other)
| Copy constructor. More...
TransactionMetrics & | operator= (const TransactionMetrics &other)
| Assignment operator. More...
const Timestamp & | GetCommitTime () const
| Get commit time. More...
const Timestamp & | GetRollbackTime () const
| Get rollback time. More...
int32_t | GetCommits () const
| Get the total number of transaction commits. More...
int32_t | GetRollbacks () const
| Get the total number of transaction rollbacks. More...
bool | IsValid () const
| Check wheather the instance is valid. More...

## Detailed Description

Transaction metrics, shared across all caches.

## Constructor & Destructor Documentation

## ◆ TransactionMetrics() [1/3]

ignite::transactions::TransactionMetrics::TransactionMetrics | ( |  | ) |
| inline

Default constructor.

Constructed instance is not valid.

## ◆ TransactionMetrics() [2/3]

ignite::transactions::TransactionMetrics::TransactionMetrics | ( | const Timestamp & | commitTime,
|  | const Timestamp & | rollbackTime,
|  | int32_t | commits,
|  | int32_t | rollbacks
| ) |  |
| inline

Constructor.

Parameters

  commitTime | The last time transaction was committed.
  rollbackTime | The last time transaction was rolled back.
  commits | The total number of transaction commits.
  rollbacks | The total number of transaction rollbacks.

## ◆ TransactionMetrics() [3/3]

ignite::transactions::TransactionMetrics::TransactionMetrics | ( | const TransactionMetrics & | other | ) |
| inline

Copy constructor.

Parameters

  other | Another instance.

## Member Function Documentation

## ◆ GetCommits()

int32_t ignite::transactions::TransactionMetrics::GetCommits | ( |  | ) | const
| inline

Get the total number of transaction commits.

Returns
  The total number of transaction commits.

## ◆ GetCommitTime()

const Timestamp& ignite::transactions::TransactionMetrics::GetCommitTime | ( |  | ) | const
| inline

Get commit time.

Returns
  The last time transaction was committed.

## ◆ GetRollbacks()

int32_t ignite::transactions::TransactionMetrics::GetRollbacks | ( |  | ) | const
| inline

Get the total number of transaction rollbacks.

Returns
  The total number of transaction rollbacks.

## ◆ GetRollbackTime()

const Timestamp& ignite::transactions::TransactionMetrics::GetRollbackTime | ( |  | ) | const
| inline

Get rollback time.

Returns
  The last time transaction was rolled back.

## ◆ IsValid()

bool ignite::transactions::TransactionMetrics::IsValid | ( |  | ) | const
| inline

Check wheather the instance is valid.

Invalid instance can be returned if some of the previous operations have resulted in a failure. For example invalid instance can be returned by not-throwing version of method in case of error. Invalid instances also often can be created using default constructor.

Returns
  `true` if the instance contains valid data.

## ◆ operator=()

TransactionMetrics& ignite::transactions::TransactionMetrics::operator= | ( | const TransactionMetrics & | other | ) |
| inline

Assignment operator.

Parameters

  other | Another instance.

Returns
  `*this`.

The documentation for this class was generated from the following file:

- transaction_metrics.h